Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class GroovyDeploymentHandler

    java.lang.Object
      org.jboss.seam.deployment.AbstractDeploymentHandler
          org.jboss.seam.deployment.GroovyDeploymentHandler

All Implemented Interfaces:
  DeploymentHandler

    public class GroovyDeploymentHandler

extends AbstractDeploymentHandler

A deployment handler for (uncompiled) Groovy Seam components

Author:
  Pete Muir

Field Summary
`static String` | `NAME`

Constructor Summary
`GroovyDeploymentHandler(String groovyFileExtension)`

Method Summary
`Set<Class<Object>>` | `getClasses()` Get all the Groovy Seam Components this handler has handled
`void` | `handle(String name, ClassLoader classLoader)` Handle a resource

Methods inherited from class org.jboss.seam.deployment.AbstractDeploymentHandler
`filenameToClassname, getAnnotationValue, getClassFile, hasAnnotation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### GroovyDeploymentHandler

    public GroovyDeploymentHandler(String groovyFileExtension)

Parameters:
  `groovyFileExtension` - The extension to use for the groovy file

Method Detail

### getClasses

    public Set<Class<Object>> getClasses()

  Get all the Groovy Seam Components this handler has handled

### handle

    public void handle(String name,
                       ClassLoader classLoader)

  Description copied from interface: `DeploymentHandler`
  Handle a resource

  Parameters:
    `name` - The path to the resource
    `classLoader` - The ClassLoader on which the resource was found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD